Bug 146831 - SystemSettings-Sound Card Detection does not detect SoundBlaster Live! 24-bit
SystemSettings-Sound Card Detection does not detect SoundBlaster Live! 24-bit
Product: Fedora
Classification: Fedora
Component: redhat-config-soundcard (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Depends On:
  Show dependency treegraph
Reported: 2005-02-01 18:08 EST by Patrick Zalewski
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-02 11:58:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Patrick Zalewski 2005-02-01 18:08:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
"SystemSettings-Sound Card Detection" does not detect SoundBlaster
Live! 24-bit. 
The resulting message is "No sound cards detected".
"Open volume control" results in "Sorry, no mixer elements and/or
devices found"
"SystemTools-Hardware browser" does not list any sound cards
However my /etc/sysconfig/hwconf file contains the following entry:
class: AUDIO
bus: PCI
detached: 0
driver: unknown
desc: "Creative Labs SB Audigy LS"
vendorId: 1102
deviceId: 0007
subVendorId: 1102
subDeviceId: 1007
pciType: 1
pcidom:    0
pcibus:  4
pcidev:  2
pcifn:  0

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
2.Sound Card Detection


Actual Results:  No sound available

Expected Results:  Sound card should be detected and sound should be

Additional info:

According to the Sound Blaster site this card is supported by the kernel
(ALSA driver). 
The sound card is working fine: my machine is a dual boot and when
machine is booted with WinXP, the sound card works without any problems.
Comment 1 Kirk Roberts 2005-02-07 14:46:19 EST
I have this exact problem.  I had it with FC2 and now am having the
same problem with FC3.  Sound card works great under Windows (sadly)
Comment 2 Marco 2005-03-19 12:40:08 EST
Same here with Fedora Core 4 Test 1 and an integrated Creative Sound Blaster
Live! 24 bit in my MSI K8N Platinum

the output for my system-config-soundcard is:

/usr/share/system-config-soundcard/soundcard.py:75: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.box = gtk.VBox(gtk.FALSE, 8)
Traceback (most recent call last):
  File "/usr/share/system-config-soundcard/system-config-soundcard.py", line 46,
in ?
    app = soundcard.childWindow()
  File "/usr/share/system-config-soundcard/soundcard.py", line 87, in __init__
    self.device, self.module, self.maker, self.model =
  File "/usr/share/system-config-soundcard/soundcardBackend.py", line 106, in
    maker, model = string.split(description, " ", 1)
ValueError: need more than 1 value to unpack 

someone can fix this?

Patrick can you change the version from fc3 to f4-test1? Hope someone can see it
and fix it :)
Comment 3 Marco 2005-03-19 12:52:45 EST
It is an alsa bug, fixed in CVS and patch will be in version 1.09...
Fedora Core 4 will have 1.09? Hope...

Comment 4 Marco 2005-03-25 09:25:08 EST
Some fresh news:

alsa's #901 patch is already in 2.6.12rc1
FROM http://www.kernel.org/pub/linux/kernel/v2.6/testing/ChangeLog-2.6.12-rc1

    [ALSA] Add support for Audigy2LS on MSI motherboard
    CA0106 driver
    Add support for Audigy2LS on MSI motherboard.
    Fixes Bug #0901
    Signed-off-by: James Courtier-Dutton <James@superbug.demon.co.uk>
    Signed-off-by: Takashi Iwai <tiwai@suse.de>

Fedora Core 4 kernel version 2.6.11-1.1191_FC4 has all 2.6.12rc1 patches
(right?) and also alsa patch for MSI.
So I've installed this kernel under my Fedora Core 4 test 1, now soundcard seems
to work but still this issues:

1) gnome volume control panel won't open (I've used alsamixer to put up the volume)
2) if I play an audio file seems to be played well (with old kernel "no
soundcard" alert popup), but there is no sound. 

I'm the only one that I've this kind of motherboard and Fedora Core 4 test 1???? 
Comment 5 Marco 2005-03-25 09:28:47 EST
Link to red-hat bug number 901 is UNRELATED, I think bugzilla make an automatic
link without asking me...

Bug number 901 is related to alsa driver, see comment #3 for the correct link :)
Comment 6 Marco 2005-03-26 15:03:26 EST
Ok gnome volume panel goes ok with 2.10 final.
Now I play in xmms perfectly, trouble with tvtime, still no sound.
Comment 7 Neema 2005-03-26 21:15:55 EST
I have a similar problem with Soundblaster 16bit.  Do the Fedora programmers
realize the importance of sound?  It works fine in Knoppix.
Comment 8 Marco 2005-03-28 07:24:28 EST
Seems that with Creative sound there is a problem that Creative doesn't provide
documentation about its sound card to alsa project.


join Creative's forum and make our voice bigger!
Comment 9 Bastien Nocera 2005-04-02 11:58:19 EST
Unfortunately, there's nothing that system-config-soundcard can do more.
You need support for the card in the kernel, for it to show up as having a
driver in /etc/sysconfig/hwconf (generated by kudzu, the original bug report had
"unknown"), for system-config-soundcard to work properly.

If you have troubles with this card, please open another bug against the
appropriate component.

Nima, an ISA SoundBlaster 16 problem isn't the same as a PCI SoundBlaster 24
problem. You might want to look at bug #127765 and bug #146888.

Note You need to log in before you can comment on or make changes to this bug.